<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>de.accso</groupId>
        <artifactId>flexinale</artifactId>
        <version>2024.3.0</version>
        <relativePath>../pom.xml</relativePath> <!-- lookup parent from repository -->
    </parent>

    <artifactId>flexinale-distributed</artifactId>
    <version>2024.3.0</version>
    <name>Flexinale Distributed</name>
    <description>Flexinale - FLEX case-study &quot;film festival&quot;, distributed services</description>

    <packaging>pom</packaging>

    <modules>
        <module>flexinale-distributed-besucherportal</module>
        <module>flexinale-distributed-besucherportal_api_contract</module>

        <module>flexinale-distributed-ticketing</module>
        <module>flexinale-distributed-ticketing_api_contract</module>

        <module>flexinale-distributed-backoffice</module>
        <module>flexinale-distributed-backoffice_api_contract</module>

        <module>flexinale-distributed-common</module>

        <module>flexinale-distributed-security</module>
        <module>flexinale-distributed-security_api_contract</module>

        <module>flexinale-distributed-test-integrated</module>
        <module>flexinale-distributed-test-distributed</module>
        <module>flexinale-distributed-test-architecture</module>
        <module>flexinale-distributed-testdata</module>

        <module>infrastructure</module>
    </modules>

</project>